GET /v1/organizations/{orgId}/stripe/billing-details
Return Stripe payment methods and invoices for an organization
GET
/v1/organizations/{orgId}/stripe/billing-details
Return Stripe payment methods and invoices for an organization
Responses
200
OK
application/jsoninvoices
object[]
Array of:
amountDue
integer
amountPaid
integer
amountRemaining
integer
createdAt
string
currency
string
dueAt
string
hostedInvoiceUrl
string
id
string
invoicePdf
string
number
string
periodEnd
string
periodStart
string
status
string
total
integer
paymentMethods
object[]
Array of:
billingEmail
string
billingName
string
brand
string
createdAt
string
expMonth
integer
expYear
integer
id
string
isDefault
boolean
last4
string
type
string
400
Bad Request
curl -X GET 'https://api.example.com/v1/organizations/{orgId}/stripe/billing-details' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/{orgId}/stripe/billing-details', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/{orgId}/stripe/billing-details', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/{orgId}/stripe/billing-details", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "invoices": [ { "amountDue": 123, "amountPaid": 123, "amountRemaining": 123, "createdAt": "<string>", "currency": "<string>", "dueAt": "<string>", "hostedInvoiceUrl": "<string>", "id": "<string>", "invoicePdf": "<string>", "number": "<string>", "periodEnd": "<string>", "periodStart": "<string>", "status": "<string>", "total": 123 } ], "paymentMethods": [ { "billingEmail": "<string>", "billingName": "<string>", "brand": "<string>", "createdAt": "<string>", "expMonth": 123, "expYear": 123, "id": "<string>", "isDefault": true, "last4": "<string>", "type": "<string>" } ]}
API Playground
Try this endpoint
GET
/v1/organizations/{orgId}/stripe/billing-details
